Bug 1713183 - The 'undercloud-debug' validation is failling due to a wrong indentation in an ansible task
Summary: The 'undercloud-debug' validation is failling due to a wrong indentation in ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-validations
Version: 15.0 (Stein)
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: beta
: 15.0 (Stein)
Assignee: Gaël Chamoulaud
QA Contact: Amit Ugol
URL:
Whiteboard:
Depends On: 1710324
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-05-23 06:12 UTC by Gaël Chamoulaud
Modified: 2019-09-26 10:51 UTC (History)
7 users (show)

Fixed In Version: openstack-tripleo-validations-10.4.1-0.20190530145446.6d0fbba.el8ost.noarch
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-21 11:22:28 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
OpenStack gerrit 660752 0 None MERGED Fix invalid 'ignore_missing_file' attribute in a task 2021-01-08 10:15:30 UTC
OpenStack gerrit 661727 0 None MERGED Fix invalid 'ignore_missing_file' attribute in a task 2021-01-08 10:15:30 UTC
Red Hat Product Errata RHEA-2019:2811 0 None None None 2019-09-21 11:22:48 UTC

Description Gaël Chamoulaud 2019-05-23 06:12:35 UTC
$ ansible-playbook -vvvvv /usr/share/openstack-tripleo-validations/playbooks/undercloud-debug.yaml
ansible-playbook 2.7.10
  config file = /etc/ansible/ansible.cfg
  configured module search path = [u'/usr/share/openstack-tripleo-validations/library']
  ansible python module location = /usr/lib/python2.7/site-packages/ansible
  executable location = /usr/bin/ansible-playbook
  python version = 2.7.5 (default, Apr  9 2019, 14:30:50) [GCC 4.8.5 20150623 (Red Hat 4.8.5-36)]
Using /etc/ansible/ansible.cfg as config file
setting up inventory plugins
/usr/bin/tripleo-ansible-inventory did not meet host_list requirements, check plugin documentation if this is unexpected
Parsed /usr/bin/tripleo-ansible-inventory inventory source with script plugin
ERROR! 'ignore_missing_file' is not a valid attribute for a Task

The error appears to have been in '/usr/share/openstack-tripleo-validations/roles/undercloud-debug/tasks/main.yml': line 2, column 3, but may
be elsewhere in the file depending on the exact syntax problem.

The offending line appears to be:

---
- name: Check the services for debug flag
  ^ here

This error can be suppressed as a warning using the "invalid_task_attribute_failed" configuration

Comment 5 errata-xmlrpc 2019-09-21 11:22:28 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2019:2811


Note You need to log in before you can comment on or make changes to this bug.